/* 
	Kaylee Pierce
	03/28/2023
	CPSC 1011-002
	Lab 9
	This is a header file that contains the initArray, printArray,
	and getWorkout functions
*/

#ifndef defs_h
#define defs_h

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define NAME_LENGTH 20
#define MUSCLES_LENGTH 40

typedef struct {
	char name[NAME_LENGTH];
	char muscles[MUSCLES_LENGTH];
	int weight;
	int time;
	int sets;
	int reps;
} exercise;

void initArray(int arraySize, exercise workout[], FILE *inFile);
void printArray(int arraySize, exercise workout[]);
void getWorkout(int arraySize, exercise workout[]);

#endif
